### Method

# Gtk Snapshotappend_color

#### Declaration [src]

    void
    gtk_snapshot_append_color (
      GtkSnapshot* snapshot,
      const GdkRGBA* color,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a new render node drawing the `color` into the given `bounds` and appends it to the current render node of `snapshot`.

You should try to avoid calling this function if `color` is transparent.

#### Parameters

`color`

  Type: `GdkRGBA`

  The color to draw.

  The data is owned by the caller of the method.

`bounds`

  Type: `graphene_rect_t`

  The bounds for the new node.

  The data is owned by the caller of the method.